%bcond_with java

Summary:       Library and tools for WebP image files
Name:          libwebp
Version:       1.2.2
Release:       4%{?dist}
License:       BSD
URL:           http://webmproject.org/
Source0:       http://downloads.webmproject.org/releases/webp/%{name}-%{version}.tar.gz

BuildRequires: make autoconf automake libtool
BuildRequires: libjpeg-devel libpng-devel giflib-devel libtiff-devel
# BuildRequires: freeglut-devel    #requires mesa
%if %{with java}
BuildRequires: swig java-devel jpackage-utils
%endif

%description
This package contains the library that can be used in other programs
to add WebP support, as well as the command line tools 'cwebp' and 'dwebp'
to compress and decompress images respectively.
See https://developers.google.com/speed/webp for details on the image format.


%package tools
Summary:       Command line tools for WebP

%description tools
Command line tools cwebp and dwebp for converting images
to and from the WebP format, as well as tools for viewing,
muxing and animating WebP images.


%package devel
Summary:       Development files for libwebp
Requires:      %{name} = %{version}-%{release}

%description devel
Libraries and headers for developing with WebP.

%if %{with java}
%package java
Summary:       Java bindings for libwebp
Requires:      %{name} = %{version}-%{release}
Requires:      java-headless jpackage-utils

%description java
Java bindings for libwebp.
%endif

%prep
%autosetup -n %{name}-%{version}


%build
autoreconf -vif
%configure --disable-static \
           --enable-libwebpmux --enable-libwebpdemux \
           --enable-libwebpdecoder --enable-libwebpextras
%make_build

%if %{with java}
cd swig
rm -rf libwebp.jar libwebp_java_wrap.c
mkdir -p java/com/google/webp
swig -ignoremissing -I../src -java \
    -package com.google.webp  \
    -outdir java/com/google/webp \
    -o libwebp_java_wrap.c libwebp.swig

gcc %{__global_ldflags} %{optflags} -shared \
    -I/usr/lib/jvm/java/include \
    -I/usr/lib/jvm/java/include/linux \
    -I../src \
    -L../src/.libs -lwebp libwebp_java_wrap.c \
    -o libwebp_jni.so

cd java
javac com/google/webp/libwebp.java
jar cvf ../libwebp.jar com/google/webp/*.class
%endif


%install
%make_install
find %{buildroot}/%{_libdir} -type f -name "*.la" -delete

%if %{with java}
install -d %{buildroot}/%{_libdir}/%{name}-java
cp swig/*.jar swig/*.so %{buildroot}/%{_libdir}/%{name}-java/
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README PATENTS NEWS AUTHORS
%{_libdir}/%{name}.so.7*
%{_libdir}/%{name}decoder.so.3*
%{_libdir}/%{name}demux.so.2*
%{_libdir}/%{name}mux.so.3*

%files tools
%{_bindir}/*
%{_mandir}/man*/*

%files devel
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%if %{with java}
%files java
%{_libdir}/%{name}-java/
%endif


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 12 2022 rockerzhu <rockerzhu@tencent.com> - 1.2.2-2
- Disable java by default

* Fri May 13 2022 rockerzhu <rockerzhu@tencent.com> - 1.2.2-1
- Initial build
